// Code generated by mockery v2.10.4. DO NOT EDIT.

package mocks

import mock "github.com/stretchr/testify/mock"

// FileConfig is an autogenerated mock type for the FileConfig type
type FileConfig struct {
	mock.Mock
}

// Path provides a mock function with given fields:
func (_m *FileConfig) Path() string {
	ret := _m.Called()

	var r0 string
	if rf, ok := ret.Get(0).(func() string); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(string)
	}

	return r0
}
